## db2twitter 0.6

=== requirements.txt ===
Pillow>=3.2.0
sqlalchemy>=1.0.8
tweepy>=3.3.0

## db2twitter 0.3

=== debian/changelog ===
db2twitter (0.3-1) unstable; urgency=low

  * New upstream release 

 -- Carl Chenet <chaica@debian.org>  Mon, 23 Nov 2015 14:39:28 +0100

db2twitter (0.2-1) unstable; urgency=low

  * New upstream release

 -- Carl Chenet <chaica@debian.org>  Thu, 12 Nov 2015 15:42:30 +0100

db2twitter (0.1-2) unstable; urgency=low

  * debian/control
    - add python-setuptools in Build-Dependencies (Closes: #803918)

 -- Carl Chenet <chaica@debian.org>  Tue, 03 Nov 2015 13:57:15 +0100

db2twitter (0.1-1) unstable; urgency=low

  * Initial release. (Closes: #803588)

 -- Carl Chenet <chaica@debian.org>  Tue, 15 Sep 2015 00:36:50 +0100

=== debian/control ===
Source: db2twitter
Priority: optional
Section: python
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
X-Python3-Version: >= 3.4
Standards-Version: 3.9.6.1
Homepage: https://github.com/chaica/db2twitter
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/db2twitter/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/db2twitter/trunk/

Package: db2twitter
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-tweepy, python3-sqlalchemy
Description: Simple Twitter bot using a database to build and send tweets
 db2twitter fetches data from a database using the SQLAlchemy library,
 filling a user-defined template to build a tweet and send it.
 db2twitter keeps track of already sent tweets and only sends a new
 tweet if it was not sent before. db2twitter information are stored in
 a sqlite database.

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/db2twitter-$1\.tar\.gz/ \
  https://github.com/chaica/db2twitter/tags .*/v?(\d\S*)\.tar\.gz

## db2twitter 0.6

=== debian/changelog ===
db2twitter (0.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Apr 2022 23:14:54 -0400

db2twitter (0.6-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 13:36:15 +0100

db2twitter (0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - add python3-pil to Depends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jan 2017 22:24:39 +0100

=== debian/control ===
Source: db2twitter
Priority: optional
Section: python
Maintainer: Carl Chenet <chaica@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/chaica/db2twitter
Vcs-Git: https://salsa.debian.org/python-team/packages/db2twitter.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/db2twitter

Package: db2twitter
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-tweepy, python3-sqlalchemy, python3-pil
Description: Simple Twitter bot using a database to build and send tweets
 db2twitter fetches data from a database using the SQLAlchemy library,
 filling a user-defined template to build a tweet and send it.
 db2twitter keeps track of already sent tweets and only sends a new
 tweet if it was not sent before. db2twitter information are stored in
 a sqlite database.
